### Method

# Gimp Image set_file

#### Declaration [src]

    gboolean
    gimp_image_set_file (
      GimpImage* image,
      GFile* file
    )

#### Description [src]

Sets the specified XCF image’s file.

This procedure sets the specified image’s file. This is to set the XCF file associated with your image. In particular, do not use this function to set the imported file in file import plug-ins. This is done by the core process.

#### Parameters

`file`

  Type: `GFile`

  The new image file.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE on success.